pqxx::serialization_failure Struct Reference
Exception classes

Transaction failed to serialize. Please retry it. More...

`#include <except.hxx>`

Inheritance diagram for pqxx::serialization_failure:
[legend]

## Public Member Functions

| serialization_failure (std::string const &whatarg, std::string const &q, char const sqlstate[]=nullptr)
Public Member Functions inherited from pqxx::transaction_rollback
| transaction_rollback (std::string const &whatarg, std::string const &q="", char const sqlstate[]=nullptr)
Public Member Functions inherited from pqxx::sql_error
| sql_error (std::string const &whatarg="", std::string const &Q="", char const sqlstate[]=nullptr)
virtual | ~sql_error () noexcept override
PQXX_PURE std::string const & | query () const noexcept
| The query whose execution triggered the exception.
PQXX_PURE std::string const & | sqlstate () const noexcept
| SQLSTATE error code if known, or empty string otherwise.
Public Member Functions inherited from pqxx::failure
| failure (std::string const &)

## Detailed Description

Transaction failed to serialize. Please retry it.

Can only happen at transaction isolation levels REPEATABLE READ and SERIALIZABLE.

The current transaction cannot be committed without violating the guarantees made by its isolation level. This is the effect of a conflict with another ongoing transaction. The transaction may still succeed if you try to perform it again.

## Constructor & Destructor Documentation

## serialization_failure()

pqxx::serialization_failure::serialization_failure | ( | std::string const & | whatarg,
|  | std::string const & | q,
|  | char const | sqlstate[] = `nullptr`
| ) |  |

explicit

References pqxx::sql_error::sqlstate().

The documentation for this struct was generated from the following files:

- except.hxx
- except.cxx